## org.h2.engine
Class SessionWithState

    java.lang.Object
      org.h2.engine.SessionWithState

All Implemented Interfaces:
  SessionInterface

Direct Known Subclasses:
  Session, SessionRemote

    public abstract class SessionWithState

extends java.lang.Object
implements SessionInterface

The base class for both remote and embedded sessions.

Field Summary
`protected ObjectArray<java.lang.String>` `sessionState`
`protected boolean` `sessionStateChanged`

Constructor Summary
`SessionWithState()`

Method Summary
`void` `readSessionState()` Read the session state if necessary.
`protected void` `recreateSessionState()` Re-create the session state using the stored sessionState list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.h2.engine.SessionInterface
`afterWriting, cancel, close, getDataHandler, getPowerOffCount, getTrace, isClosed, isReconnectNeeded, prepareCommand, reconnect, setPowerOffCount`

Field Detail

### sessionState

    protected ObjectArray<java.lang.String> sessionState

### sessionStateChanged

    protected boolean sessionStateChanged

Constructor Detail

### SessionWithState

    public SessionWithState()

Method Detail

### recreateSessionState

    protected void recreateSessionState()
                                 throws java.sql.SQLException

  Re-create the session state using the stored sessionState list.

  Throws:
    `java.sql.SQLException`

### readSessionState

    public void readSessionState()
                          throws java.sql.SQLException

  Read the session state if necessary.

  Throws:
    `java.sql.SQLException`